# -*- coding: utf-8 -*-
# Generated by Django 1.9 on 2018-01-08 06:27
from __future__ import unicode_literals

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import mainApp.FTPStorage


class Migration(migrations.Migration):

    dependencies = [
        ('mainApp', '0029_series_seriesauthor'),
    ]

    operations = [
        migrations.CreateModel(
            name='SeriesPhoto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('photo', models.FileField(null=True, storage=mainApp.FTPStorage.FTPStorage(), upload_to=b'')),
            ],
        ),
        migrations.RemoveField(
            model_name='series',
            name='coverPhoto',
        ),
        
        migrations.AlterField(
            model_name='book',
            name='bookType',
            field=models.CharField(choices=[('Paperback', 'Paperback'), ('Hardcover', 'Hardcover')], default='Paperback', max_length=20),
        ),
        migrations.AlterField(
            model_name='coverphoto',
            name='photo',
            field=models.FileField(null=True, storage=mainApp.FTPStorage.FTPStorage(), upload_to=b''),
        ),
        migrations.AddField(
            model_name='seriesphoto',
            name='series',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.Series'),
        ),
    ]
